Bug 861495 - [abrt][KDE] libreoffice-core-3.5.6.2-4.fc17: PolyesterStyle::drawComplexControl killed by signal 11 (SIGSEGV)
[abrt][KDE] libreoffice-core-3.5.6.2-4.fc17: PolyesterStyle::drawComplexContr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: polyester (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:1c943507ff9bd04b90246ba82a2...
:
: 922571 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 16:06 EDT by Bill Crawford
Modified: 2013-05-06 03:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 03:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.75 KB, text/plain)
2012-09-28 16:06 EDT, Bill Crawford
no flags Details
File: environ (2.21 KB, text/plain)
2012-09-28 16:06 EDT, Bill Crawford
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-28 16:06 EDT, Bill Crawford
no flags Details
File: backtrace (401.51 KB, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details
File: cgroup (131 bytes, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details
File: maps (100.55 KB, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details
File: dso_list (22.80 KB, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details
File: open_fds (598 bytes, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details
File: var_log_messages (347 bytes, text/plain)
2012-09-28 16:07 EDT, Bill Crawford
no flags Details

  None (edit)
Description Bill Crawford 2012-09-28 16:06:43 EDT
Version-Release number of selected component:
libreoffice-core-3.5.6.2-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer '/home/old/bill/Old/Funnies & Viral/MEN2YEAR.doc' --splash-pipe=6
crash_function: parent
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 parent at /usr/include/QtCore/qobject.h:273
: #1 PolyesterStyle::drawComplexControl at /usr/src/debug/polyester-2.0.0/style/polyester.cpp:2964
: #2 (anonymous namespace)::draw at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/kde4/KDESalGraphics.cxx:185
: #3 KDESalGraphics::drawNativeControl at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/kde4/KDESalGraphics.cxx:402
: #4 SalGraphics::DrawNativeControl at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/gdi/salgdilayout.cxx:744
: #5 OutputDevice::DrawNativeControl at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/gdi/outdevnative.cxx:256
: #6 ImplDrawButton at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/toolbox.cxx:3310
: #7 ToolBox::ImplDrawItem at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/toolbox.cxx:3555
: #8 Paint at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/toolbox.cxx:4523
: #9 ToolBox::Paint at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/toolbox.cxx:4473
Comment 1 Bill Crawford 2012-09-28 16:06:46 EDT
Created attachment 618734 [details]
File: core_backtrace
Comment 2 Bill Crawford 2012-09-28 16:06:48 EDT
Created attachment 618735 [details]
File: environ
Comment 3 Bill Crawford 2012-09-28 16:06:52 EDT
Created attachment 618736 [details]
File: limits
Comment 4 Bill Crawford 2012-09-28 16:07:00 EDT
Created attachment 618737 [details]
File: backtrace
Comment 5 Bill Crawford 2012-09-28 16:07:02 EDT
Created attachment 618738 [details]
File: cgroup
Comment 6 Bill Crawford 2012-09-28 16:07:05 EDT
Created attachment 618739 [details]
File: maps
Comment 7 Bill Crawford 2012-09-28 16:07:07 EDT
Created attachment 618740 [details]
File: dso_list
Comment 8 Bill Crawford 2012-09-28 16:07:09 EDT
Created attachment 618741 [details]
File: open_fds
Comment 9 Bill Crawford 2012-09-28 16:07:11 EDT
Created attachment 618742 [details]
File: var_log_messages
Comment 10 Caolan McNamara 2012-10-02 04:29:16 EDT
PolyesterStyle::drawComplexControl via the KDE native theming dies with 0 as widget, probably fairly easy to fix if reproducible.
Comment 11 Bill Crawford 2012-10-02 07:07:09 EDT
It's very reproducible, happens to me every time until I uninstall the libreoffice-kde package. Seen similar behaviour on Ubuntu, too.
Comment 12 Jorrit 2013-01-05 09:10:57 EST
I just installed Libreoffice and de-installed the Calligra suite. After the de-installation Libreoffice wouldn't start anymore, I think there are some common files which are not recognized by the yum extender

backtrace_rating: 4
Package: libreoffice-core-3.5.7.2-7.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 David Tardon 2013-05-06 03:54:53 EDT
let's blame the style
Comment 14 David Tardon 2013-05-06 03:55:44 EDT
... which is dead, apparently. Closing.
Comment 15 David Tardon 2013-05-06 03:57:58 EDT
*** Bug 922571 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.